pytables (3.7.0-8) unstable; urgency=medium

  * debian/patches:
    - Update d/patches/0007-Compatibility-with-numexpr-v2.8.5.patch
      to make it comatible again with numexpr < v2.8.5.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Aug 2023 13:16:16 +0000

pytables (3.7.0-7) unstable; urgency=medium

  * debian/patches:
    - New d/patches/0007-Compatibility-with-numexpr-v2.8.5.patch.
  * debian/control:
    - Use the <!nodoc> marker.
    - Update package description.
  * Switch to dh-sequence-*.
  * Switch to autopkgtest-pkg-pybuild and drop the no longer
    needed d/tests folder.
  * New d/clean file.
  * debian/rules:
    - Switch to execute_after_* targets.
    - Improve/simplify doc build.
  * Update d/python3-tables.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Aug 2023 17:30:13 +0000

pytables (3.7.0-6) unstable; urgency=medium

  * Dump debhelper compat to 13.
  * Standards version bumped to 4.6.2 (no changes).
  * debian/patches:
    - new 0006-Compatibility-with-sphinx-7.1.patch (Closes: #1042691).
  * Use dh-sequence-numpy3.
  * No longer build PDF documentation.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Aug 2023 14:58:29 +0000

pytables (3.7.0-5) unstable; urgency=medium

  * debian/patches:
    - fix compatibility with numpy >= 1.22 (Closes: #1026604).
      See also https://github.com/PyTables/PyTables/issues/934.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 20 Dec 2022 21:15:54 +0000

pytables (3.7.0-4) unstable; urgency=medium

  * debian/copyright:
    - Fix formatting
    - Update copyright date
  * debian/tests:
    - autopkgtests all supported Python versions.
  * Fix lintian overrides.
  * debian/control:
    - add build-dependency on pybuild-plugin-pyproject.
  * Standards version bumped to 4.6.1 (no changes).
  * Update debian/*.install files.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 10:44:26 +0000

pytables (3.7.0-3) unstable; urgency=medium

  * Fix documentation build (Closes: #1009459).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 14 Apr 2022 06:39:28 +0000

pytables (3.7.0-2) unstable; urgency=medium

  * debian/python3-tables.links
    - add missing link to data file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Dec 2021 11:14:17 +0000

pytables (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Cleanup of d/python3-tables.lintian-overrides.
  * Update d/copyright.
  * debian/patches:
    - drop 0002-Never-use-the-msse2-flag-explicitly.patch,
      0006-Fix-pttree.patch, 0007-Fix-syntax-warnings.patch,
      0008-Fix-the-interpreter-name-in-examples.patch,
      0009-Fix-unittests-on-vlarrays.patch,
      0010-Use-lowercase-float-int-as-numpy-dtype.patch,
      0011-doctest-adjust-__init__-TypeError-formatting.patch,
      applied upstream
    - refresh and renumber remaining patches.
  * debian/control:
    - update dependencies (add python3-packaging and remove
      python3-six).
  * debian/rules:
    - disable SSE2 via environment variable
    - clean build rule
    - improve the test rule.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 29 Dec 2021 22:51:43 +0000

pytables (3.6.1-6) unstable; urgency=medium

  [ Stefano Rivera ]
  * Handle Python 3.10 in the Sphinx build, missed in 5.1.

  [ Antonio Valentino ]
  * Update d/python3-tables.lintian-overrides.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 26 Nov 2021 08:12:25 +0000

pytables (3.6.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Fix FTBFS with numpy >= 1.20 (Closes: #999538)
  * Patch: Fix FTBFS with Python 3.10.
  * Install Python 3.10 C Extensions (2-digit minor version).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Nov 2021 23:32:58 -0400

pytables (3.6.1-5) unstable; urgency=medium

  * debian/control:
    - explicitly depende on tex-gyre (fix build on mips*).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 28 Sep 2021 06:05:13 +0000

pytables (3.6.1-4) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no changes).
  * debian/control:
    - drop unnecessary greater-than versioned dependency from
      python-tables-doc
    - drop unnecessary Breaks/Replaces fileds for version 3.4.2-1
      (oldstable has 3.4.4-2)
  * debian/patches:
    - new 0009-Fix-unittests-on-vlarrays.patch, see
      0009-Fix-unittests-on-vlarrays.patch.
  * Drop python3-tables-dbg (Closes: #994343).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 08:08:53 +0000

pytables (3.6.1-3) unstable; urgency=medium

  * Add lintian-overrides for maintainer-manual-page.
    Manual pages already forwarded upstream.
  * Add lintian-overrides for breakout-link.
  * Update mismatching lintian overrides.
  * Add Forwarded field to all patches.
  * Standards-Version bumped to 4.5.1, no change needed.
  * Update watch file format version to 4.
  * debian/patches:
    - new 0008-Fix-the-interpreter-name-in-examples.patch
  * Add .gitlab-ci.yml.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 08 Dec 2020 09:02:17 +0000

pytables (3.6.1-2) unstable; urgency=medium

  * Add links to new data (fix CI tests).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Jan 2020 08:59:06 +0000

pytables (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop manpage for nc2h5. the tool has been already removed some
    time ago.
  * debian/patches:
    - drop 0005-Drop-mock-for-requirements.txt.patch and
      0007-Compat-with-Python-3.8.patch: applied upstream
    - refresh and renumber remaining patches
    - new 0006-Fix-pttree.patch (Closes: #941954)
    - new 0007-Fix-syntax-warnings.patch (Closes: #945282)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Dec 2019 17:29:37 +0000

pytables (3.5.2-5) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937554

 -- Sandro Tosi <morph@debian.org>  Tue, 17 Dec 2019 16:17:38 -0500

pytables (3.5.2-4) unstable; urgency=medium

  * Update standards version to 4.4.1, no changes needed.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entries 2.1.2-3, 0.7.2-2.
  * debian/patches:
    - new 0007-Compat-with-Python-3.8.patch
  * debian/control:
    - explicitly set Rules-Requires-Root: no
  * Replace deprecated ADTTMP with AUTOPKGTEST_TMP in debian/tests
    scripts.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 21 Nov 2019 20:06:22 +0000

pytables (3.5.2-3) unstable; urgency=medium

  * debian/rules:
    - improve clean target
    - ensure reproducible builds
    - fix sphinx build command

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 16 Aug 2019 17:53:28 +0000

pytables (3.5.2-2) unstable; urgency=medium

  * debian/control:
    - replace the deprecated build dependency texlive-generic-extra,
      with texlive-plain-generic (Closes: #933279)
    - sort dependency lists
  * debian/patches:
    - new 0006-Skip-index-backcompat-tests-on-bingendian.patch
  * drop debian/compat file, and depend on debelper-compat.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Aug 2019 16:24:07 +0000

pytables (3.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - standard version bumped to 4.4.0, no change
    - remove unnecessary greater-than versioned dependency for liblz4-dev
  * debian/rules:
    - drop -pie from hardening flags
  * Use secure URI in Homepage field.
  * Clean links to duplicated files in debian/python-tables-doc.links
  * debian/patches:
    - drop 0005-Comaptibility-with-numpy-1.16.patch and
      debian/patches/0006-Fix-LZO2-detection.patch: applied upstream
    - new 0005-Drop-mock-for-requirements.txt.patch
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jul 2019 09:32:15 +0000

pytables (3.4.4-2) unstable; urgency=medium

  * Team upload.
  * Standard version bumped to 4.3.0, no change.
  * debian/patches:
    - new 0005-Comaptibility-with-numpy-1.16.patch:
      fixes an issue with not writeable buffers.
      Closes: #917666.
    - new 0006-Fix-LZO2-detection.patch
  * debian/control:
    - re-order dependencies
  * Add gbp.conf file.
  * Switch to pybuild.
  * Set compat to 12.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 02 Jan 2019 09:48:48 +0000

pytables (3.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - drop 0005-Compatibility-with-NumPy-1.14.3.patch.
      Applied upstream.
    - refresh remaining pathces.
  * debian/changelog
    - strip trailing spaces
    - update copyright dates

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Jun 2018 10:53:16 +0000

pytables (3.4.3-2) unstable; urgency=medium

  * debian/patches
    - new 0005-Compatibility-with-NumPy-1.14.3.patch (Closes: #898577)
  * debian control
    - drop ancient X-Python-Version fields

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 May 2018 22:21:42 +0000

pytables (3.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Standard version bump to v4.1.4 (no change)
  * Add upstream metadata.
  * Updated debian/copyright file.
  * debian/control
    - update Vcs-* fields
  * debian/patches
    - drop 0004-unicode-charecter-for-latexpdf.patch, applied upstream
    - drop 0005-usepackage-threeparttable.patch, applied upstream
    - drop debian/patches/0006-Use-mock-form-stdlib.patch, applied upstream
    - new 0004-remove-gtags.patch to avoid privacy-breach-generic
    - refresh all remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Apr 2018 16:48:11 +0000

pytables (3.4.2-4) unstable; urgency=medium

  * Switch to pybuild
  * debian/control
    - python-tables-doc (>= 3.4.2-3) tries to overwrite files in older
      python-tables.
      Set the proper package dependency relations (Closes: #891023).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Feb 2018 12:07:35 +0000

pytables (3.4.2-3) unstable; urgency=medium

  * Standard version bumped to v4.1.3 (no changes)
  * Set compat to 11
  * Update lintian overrides
  * Fix 0005-usepackage-threeparttable.patch (Closes: #888177)
  * debian/control
    - suggest python(3)-netcdf4 instead of python-netcdf
    - drop build dependency from python3-mock (Closes: #876841)
    - update package description (Closes: #664441)
  * Do not install duplicate files
  * python-tables-doc depends on libjs-mathjax (Closes: #877277)
  * debian/patches
    - refresh all patches
    - new 0006-Use-mock-form-stdlib.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 02 Feb 2018 07:39:49 +0000

pytables (3.4.2-2) unstable; urgency=medium

  * Standard version bumped to v4.1.1 (extra --> optional)
  * debian/control
    - declare break/replace rules: python3-tables (>= 3.4.2-1) install
      scripts that was previously installed by python-tables
      (Closes: #881741)
    - remove break/replace rules for pytables << 3.0.0-3:
      no longer necessary
  * debian/tests/control
    - reformat
    - re-enable tests on python3-dbg
  * add debian/source.lintian-overrides

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Nov 2017 11:58:23 +0000

pytables (3.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #874362)
  * Standard version bumped to v4.1.0 (no change)
  * Ensure that autopkgtest scripts return the correct exit code
    (Closes: #864395)
  * debian/patches:
    - drop 0003-Do-not-fetch-icons-for-external-web-sites.patch,
      0004-fix-compatibility-with-HDF5-1.10.patch,
      0005-Ignore-cpuinfo-on-unsupported-archs.patch and
      0006-allow-for-long-type-in-nextafter: applied upstream
    - refresh remainimg patches
    - new 0003-use-local-mathjax.patch
    - new 0004-unicode-charecter-for-latexpdf.patch
    - new 0005-usepackage-threeparttable.patch (compatibility
      with sphinx >= 1.6)
  * Updated copyright file
  * debian/control
    - add build dependency from python(3)-sphinx-rtd-theme,
      python(3)-ipython, python(3)-numpydoc and python-mock
    - add dependency from libjs-mathjax and python(3)-mock
    - depend on python3-sphinx instead of pyhton-sphinx
    - build-depend on latexmk that is required bt sphinx >= 1.6
      (Closes: #872314)
    - remove un-necessary "Testsuite: autopkgtest"
  * Install scripts (and related manpages) for the python3 version
    of the package
  * debian/rules
    - no longer use dpkg-parsechangelog to determine the current
      package timestamp
    - avoid duplicate files in the doc
    - improve clean target
  * debian/source/lintian-overrides
    - new lintian overrides for library-package-name-for-application
      and application-in-library-section

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Sep 2017 11:56:40 +0000

pytables (3.3.0-5) unstable; urgency=medium

  * debian/rules
    - typo in BUILD_DATE
  * debian/patches
    - removed 0006-Disable-tests-on-bitshuffle.patch
      It is no longer necessary after the fix of #844047 in
      c-blosc 1.11.1+ds1-3
    - new 0006-allow-for-long-type-in-nextafter.patch.
      Imported from upstream  (see also
      https://github.com/PyTables/PyTables/pull/587)
    - new 0007-fix-base-class-order.patch to fix compatibility with
      Python v2.7.13.
      See also https://github.com/PyTables/PyTables/issues/590

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 07 Dec 2016 13:19:56 +0100

pytables (3.3.0-4) unstable; urgency=medium

  * debian/patches
    - new 0006-Disable-tests-on-bitdhuffle.patch: temporarily disable
      tests on the blosc bitshuffle filter due to bug #843040

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 03 Nov 2016 18:13:31 +0000

pytables (3.3.0-3) unstable; urgency=medium

  * debian/patches
    - improved 0005-Ignore-cpuinfo-on-unsupported-archs.patch to ignore
      any kind of error from cpuinfo

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 Nov 2016 21:35:06 +0000

pytables (3.3.0-2) unstable; urgency=medium

  * debian/patches
    - new 0005-Ignore-cpuinfo-on-unsupported-archs.patch:
      fix build on non x86 platforms

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 Nov 2016 08:10:06 +0000

pytables (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Use packaged blosc library
  * debian/watch
    - add compatibility to the new tagging schema
  * debian/patches
    - drop 0005-fix-index-inheritance-order.patch and
      0006-fix-typo-in-hdf5extension.pyx.patch: applied upstream
    - new 0005-fix-compatibility-with-HDF5-1.10.patch
    - drop 0002-Use-system-compression-libs.patch: not necessary
    - refresh all patches
  * debian/copyright
    - add copyright for zsrd source
  * debian/rules
    - set hardening flags
  * debian/control
    - cleanup and warning suppression
    - add build dependency from python?-six

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 31 Oct 2016 14:34:18 +0000

pytables (3.2.2-3) unstable; urgency=medium
  * debian/control
    - standard version bumped to 3.9.8 (no change required)
    - fix build dependencies: add missing texlive-generic-extra
      (Closes: #829077)
  * debian/copyright
    - fix DEP-5 url

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Jul 2016 09:52:51 +0000

pytables (3.2.2-2) unstable; urgency=medium

  * debian/patches
    - new 0005-fix-index-inheritance-order.patch to fix the
      inheritance order of the Index class (Closes: #818501)
  * debian/copyright
    - use unambiguous license naae (expat nstead of MIT)
    - fix LZ4 source code URL
  * debian/control
    - standard version bumped to 3.9.7 (no change required)
    - fix VCS URL
    - remove not necessary version numbers from build dependency
      specification
  * debian/patches
    - improved formatting of 0003-Never-use-the-msse2-flag-explicitly.patch
  * Fix typos in manpages

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 27 Mar 2016 08:22:15 +0000

pytables (3.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #800466)
  * debian/patches:
    - drop 0005-Fix-setitem-return-value.patch (applied upstream)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Oct 2015 16:33:36 +0000

pytables (3.2.1-1) unstable; urgency=medium

  * New upstream version
  * Fix debian/watch file
  * Update copyright file
  * Update authors in debian/python-tables-doc.doc-base
  * debian/control
    - updated dependencies versions
    - added build-dependeny from setuptools
    - stamdards version bumped to 3.9.6 (no change)
    - update vcs URLs to the new recommended format
    - remove deprecated XS-Testsuite field
    - general update and reformatting (suggested by cme fix dpkg-control)
    - run tests with utf-8 locale (patch from Barry Warsaw <barry@ubuntu.com>)
  * debian/rules
    - make build reproducible
  * debian/patches
    - refresh all patches
    - drop 0003-Better-control-of-verbosity-in-unittests.patch
      (applied upstream)
    - drop 0006-fix-an-import-issue-with-cython-newer-than-0.20.2.patch
      (applied upstream)
    - drop 0007-Temporay-desable-tests-that-use-the-lz4-conpressor.patch
      no longer needed.
      The issue with lz4 compressor on s39x has been fixed in lz4_0.0~r122-1.
    - new 0005-Fix-setitem-return-value.patch patch for Python 3.5 compatibility
      (patch from Barry Warsaw <barry@ubuntu.com>). Closes: #795333.
  * README.txt has been renamed into README.rst upsream.
    Updated python-pytables*.docs files.
  * New manpage for the pttree utility

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 14 Aug 2015 19:42:08 +0000

pytables (3.1.1-3) unstable; urgency=medium

  * New patch:
    0007-Temporay-desable-tests-that-use-the-lz4-conpressor.patch
    The patch temporay desables tests that use the lz4 conpressor
    on the s390x platform (see #757581 for more details).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 15 Aug 2014 07:37:41 +0000

pytables (3.1.1-2) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout (Closes: #756694)
  * debian/patches
    - new patch that fixes an import issue with cython > 0.20.2
  * debian/control
    - added an explicit build dependency from dh-python

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 04 Aug 2014 21:29:17 +0000

pytables (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - debug package now depend on python(3)-dbg, python(3)-numpy-dbg,
      pyhon(3)-numexpr-dbg instead of recommending them
      (Closes: #742557)
    - use versioned dependency for lzo (>= 0.0~r114) since one of the
      symbols used in blosc is missing in earlier versions
  * debian/patches
    - new patch (0003-Better-control-of-verbosity-in-unittests.patch)
      for better control of verbosity in unittests
    - new patch 0005-Do-not-fetch-icons-for-external-web-sites.patch
      to avoid fetching data from external web sites in html pages of
      the doc
    - the 0003-Only-use-msse2-flag-on-x86_64.patch has been updated
      after the upstream changes and renamed into
      0004-Never-use-the-msse2-flag-explicitly.patch
    - all remaining patches has been refreshed

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Apr 2014 19:02:49 +0000

pytables (3.1.0-2) unstable; urgency=medium

  * Improved the debian/README.source file (added a note about the
    external compression libraries included in the source tree)
  * Only use the -msse2 flag on x86_64 machines

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 05 Mar 2014 22:51:16 +0000

pytables (3.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #734298)
  * Standard version bumped to 3.9.5 (no changes)
  * New python(3)-tables-lib packages.
    The old python(3)-tables packages have been split into
    python(3)-tables (containing common code for all platforms) and
    python(3)-tables-lib (containing only platform specific extensions).
  * New python-tables-data package including all data files used for
    unit testing
  * Added autopkgtests running testsuite
  * debian/patches
    - removed 0001-Fix-detection-of-platforms-supporting-blosc.patch
      (applied upstream)
    - removed 0003-disable-extended-float-support.patch no more
      necessary
    - remaining patches have been refreshed
    - new patch (0002-Use-system-compression-libs.patch) to use
      system compression libraries instead of internal copies
  * debian/control
    - added build dependencies from liblz4-dev and snappy-dev
  * temporary disabled tests for python3.x-dbg

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 02 Mar 2014 15:47:11 +0000

pytables (3.0.0-2) unstable; urgency=low

  * Explicitly specify the minimum numexpr version in the binary
    package dependency line

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2013 17:48:09 +0000

pytables (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Fix PDF doc installation after upstream changes
  * Added a man page for the new pt2pt3 command line tool
  * Build-Depend on numexpr >= 2.1
  * Minimum Python version is now 2.6
  * New packages for Python 3
  * debian/patches:
    - Refresh all patches
    - Drop 0002-Fix-detection-od-platforms-supporting-blosc.patch
      (applied upstream)
    - New 0002-use-dynamic-lib.patch (fixes an issue with liblzo2.so
      detection)
    - New patch for disabling extended float support (workaround for an
      upstream bug of HDF5 with gcc-4.8)
  * Fixed the license for win32/pthread.* in the copyright file
    See also https://code.google.com/p/numexpr/issues/detail?id=109#c5

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Sep 2013 17:24:24 +0000

pytables (2.4.0-4) unstable; urgency=low

  * Fix the override_dh_sphinxdoc rule to avoid failures when the -doc
    package is not built

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 24 Jun 2013 20:20:45 +0000

pytables (2.4.0-3) unstable; urgency=low

  * Added build-dependency from jquery-cookie and updated debian/rules
    to avoid embedded javascript
  * New patch: fix tests of nested record reperesentation on big-endian
    machines.  Backport of upstream fix for gh-237 (see also
    https://github.com/PyTables/PyTables/issues/237).
  * New patch: fix detection od platforms supporting blosc

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2013 14:14:23 +0000

pytables (2.4.0-2) unstable; urgency=low

  * Added vitables as suggested package (Closes: #702228)
  * Updated copyright file
  * Standard version bumped to 3.9.4 (no changes)
  * Removed obsolete DM-Upload-Allowed field from the control file
  * Enabled automatic testing for dbg packages
  * Keep the original name of the upstream changelog
  * Use canonical URI for VCS-* fields
  * Fixed unnecessarily versioned build dependencies (silence cme warnings)
  * Uploading PyTables 2.4 to unstable also fixes a small incompatibility
    with numpy >= 1.7 (Closes: #713085)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2013 13:25:28 +0000

pytables (2.4.0-1) experimental; urgency=low

  [ Antonio Valentino ]
  * New upstream release (Closes: #698318, #605180)
  * Improved watch file
  * Removed all patches (applied upstream)
  * Updated build dependencies
  * Set compat to 9
  * Updated copyright file

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Jan 2013 10:02:57 -0500

pytables (2.3.1-3) unstable; urgency=low

  [ Antonio Valentino ]
  * Set Vcs-* fields in the control file (Closes: #657766)
  * Provide -dbg package (Closes: #399332)
  * Override dh_install instead of dh_auto_install
  * Honor nodoc and noopt DEB_BUILD_OPTIONS (Closes: #660001)
  * Updated copyright format URL
  * Standard version bumped to 3.9.3 (no changes)
  * Patch fix_unaligned_mem_access to avoid errors related to unaligned
    memory access on platforms like ARM, etc (Closes: #661287).
    The patch has been backported from upstream and originally submtted
    by Julian Taylor

  [ Yaroslav Halchenko ]
  * Patch up_skip_multiprocessing_test_on_gnu to disable test on Hurd and
    kFreeBSD systems -- multiprocessing locking seems to be N/A

  [ Julian Taylor ]
  * fix_library_detection.patch:
    fixes detection of multiarched bzip and lzo2 (Closes: #657789)
  * rules: update clean target to remove some remnant files
  * disable_blosc.patch:
    disable blosc on armel, armhf, sparc and mipsel
    not functional due to unaligned memory accesses
    (Closes: #661287, #661286)
  * make testsuite output verbose

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Mar 2012 16:32:52 -0500

pytables (2.3.1-2) unstable; urgency=low

  * Avoid unnecessary cythonization during clean
  * Ensure that build fails in case of test failure
  * Explicitly set PYTHONPATH before running tests
  * Call dh_numpy to generate proper dependency on numpy
    (Closes: #657089)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Jan 2012 12:39:25 +0100

pytables (2.3.1-1) unstable; urgency=low

  [ Antonio Valentino ]
  * New upstream release (Closes: #641485)
  * Watch file updated to point tho the new download site
  * Copyright file converted to DEP5 format
  * Removed debian/pycompat file: no more needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh_python2 (Closes: #616988)
  * Now use debhelper 8 and the dh sequencer in the debian/rules file
  * Standard version bumped to 3.9.2
  * Build depend from numexpr, cython, pythn-sphinx and texlive-latex-*
  * No more play with gzip in debian/rules (Closes: #551392)
  * The package is now maintained under the unbrella of debian-science
  * Added a debian/README.source file
  * Enabled automatic testing
  * Build dependency from the HDF5 library updated to libhdf5-dev
    (HDF5 transition)

  [ Yaroslav Halchenko ]
  * Sponsored the upload

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Jan 2012 22:18:32 -0500

pytables (2.1.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on versioned python-numpy (>= 1:1.4.1-4~); fixes
    incompatiblity with python-numpy (Closes: #589669)
  * debian/rules: add call to dh_numpy to generate stricter versioned
    depends on python-numpy (Closes: #590761)

 -- Varun Hiremath <varun@debian.org>  Fri, 30 Jul 2010 23:58:31 -0400

pytables (2.1.2-3) unstable; urgency=low

  * Improve the long discription of python-tables-doc (closes: #551391)
  * Remove the gzip of man1 in rules (close: #551392)
  * Re-fix the build error with Python-2.6 (closes: #547875)

 -- Wen Heping <wenheping@gmail.com>  Thu, 22 Oct 2009 23:10:23 +0100

pytables (2.1.2-2) unstable; urgency=low

  * Fix the build error with Python-2.6 (closes: #547875)

 -- Wen Heping <wenheping@gmail.com>  Wed, 14 Oct 2009 23:10:23 +0100

pytables (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Wen Heping adopt package (closes: #544895)
  * Add a watch file
  * Change the standards version to 3.8.3

 -- Wen Heping <wenheping@gmail.com>  Fri, 09 Oct 2009 18:15:39 +0100

pytables (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Francesc Altet <faltet@carabos.com>  Tue, 18 Mar 2008 18:15:39 +0100

pytables (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Francesc Altet <faltet@carabos.com>  Tue, 27 Nov 2007 19:54:25 +0100

pytables (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Francesc Altet <faltet@carabos.com>  Wed, 19 Sep 2007 13:21:33 +0200

pytables (2.0-1) unstable; urgency=low

  * New upstream release. This no longer depends on numarray (closes: #423797)
  * Incorporates patch from Didrik Pinte (closes: #431686)
  * Python 2.5 packages are already available (closes: #391939)

 -- Francesc Altet <faltet@carabos.com>  Thu, 05 Jul 2007 12:08:45 +0200

pytables (1.3.2-2) unstable; urgency=low

    * Fixed call to pyversions in debian/rules which failed on recent versions
      of pyversions
    * Fixed clean rule in debian/rules which left the stamp files behind
    * Acknowledge NMU
    * Added Alexandre Fayolle to uploaders

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 28 Jun 2006 10:45:03 +0200

pytables (1.3.2-1) unstable; urgency=low

    * New upstream release (closes: #375691)

 -- Francesc Altet <faltet@carabos.com>  Tue, 27 Jun 2006 19:57:46 +0200

pytables (1.3-1.1) unstable; urgency=low

  * NMU
  * Comply with the new python policy (removes python2.X-tables
    packages) (closes: #373508)
  * Build-Depend on python-numarray (closes: #374177)
  * Removed versioned dependency on virtual package python2.X-numarray
    (closes: #374799)

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 21 Jun 2006 14:16:13 +0200

pytables (1.3-1) unstable; urgency=low

   * New upstream release. NumPy support added.
     (Closes: #347743)
   * Support of new HDF5 1.6.5 packages in debian.
   * Due to the new dynamic discovery of LZO, UCL and bzip2 libraries,
     they are not required anymore by binaries. More specifically, LZO
     and bzip2 are Recommended:, while UCL which is being deprecated in
     PyTables is just "Suggested:". Many thanks to Steve Langasek for
     suggesting an automatic way to do this.
   * Note that, although deprecated, UCL support is in, in order to
     allow users to migrate existing files to other supported libraries
     (Zlib, LZO or bzip2).

 -- Francesc Altet <faltet@carabos.com>  Mon, 10 Apr 2006 12:08:33 +0200

pytables (1.1.1-1) unstable; urgency=low

   * New upstream release. Introduced nested types, enumerated types,
     native multidimensional attributes and a new CArray object.
     (Closes: #309018, #308795)
   * Drop python2.2 packages.

 -- Francesc Altet <faltet@carabos.com>  Wed, 14 Sep 2005 13:38:23 +0200

pytables (0.9.1-2) unstable; urgency=high

   * Recompiling with libucl1 instead of ucl0 (Closes: #288464)
   * First package built for Python 2.4.
   * First support for gcc4 (Closes: #287972)

 -- Francesc Alted <falted@pytables.org>  Tue, 11 Jan 2005 17:58:58 +0100

pytables (0.9.1-1) unstable; urgency=low

   * New upstream release. Mainly a maintenance release.

 -- Francesc Alted <falted@pytables.org>  Thu, 09 Dec 2004 17:27:04 +0100

pytables (0.9-1) unstable; urgency=low

   * New upstream release. Introduced indexation, support of complex numbers
   and update of object elements.

 -- Francesc Alted <falted@pytables.org>  Fri, 05 Nov 2004 18:10:58 +0100

pytables (0.8.1-4) unstable; urgency=high

   * Recompiled to get a proper dependency on libucl (>=1.03-1).
     (Closes: #276164).

 -- Francesc Alted <falted@pytables.org>  Thu, 14 Oct 2004 10:45:19 +0200

pytables (0.8.1-3) unstable; urgency=high

   * Recompiled to adapt to a numarray ABI change introduced in 1.1.
     (Closes: #272198).

 -- Francesc Alted <falted@pytables.org>  Tue, 21 Sep 2004 12:01:20 +0200

pytables (0.8.1-2) unstable; urgency=high

   * Added python to Build-Depends, as debhelper requires.
     (Closes: #259501).

 -- Francesc Alted <falted@pytables.org>  Thu, 15 Jul 2004 12:15:15 +0200

pytables (0.8.1-1) unstable; urgency=high

   * New upstream release. It is compatible with new numarray-1.0 API.
     (Closes: #258078).

 -- Francesc Alted <falted@pytables.org>  Wed, 14 Jul 2004 12:35:15 +0200

pytables (0.8-1) unstable; urgency=low

   * New upstream version. It has now full 64-bit support
     (Closes: #226653).

 -- Francesc Alted <falted@pytables.org>  Thu, 25 Mar 2004 13:19:15 +0100

pytables (0.7.2-2) unstable; urgency=low

   * Package has been rebuilt in order to use the new libhdf5-1.6.1-0
     instead of the previous libhdf5-1.6.0-0. See #202260 and #221699
     bug reports for more information (Closes: #221734).

 -- Francesc Alted <falted@openlc.org>  Thu, 20 Nov 2003 12:00:51 +0100

pytables (0.7.2-1) unstable; urgency=low

  * First debian release (Closes: #213707)
  * Sponsored by Daniel Bungert <drb@debian.org>

 -- Francesc Alted <falted@openlc.org>  Wed, 08 Oct 2003 13:48:21 +0200
